## Class uri_parse_error

zeep::http::uri_parse_error — the exception thrown by libzeep when an invalid uri is passed to the uri constructor.

## Synopsis

    // In header: <zeep/http/uri.hpp>

    class uri_parse_error : public zeep::exception {
    public:
      // construct/copy/destruct
      uri_parse_error();
      uri_parse_error(const std::string &);
    };

## Description

### `uri_parse_error` public construct/copy/destruct

1.     uri_parse_error();

2.     uri_parse_error(const std::string & u);